Subject: [PATCH v4 1/5] mfd: omap-usb-host: Update DT clock binding information

From: [email-masked] (Roger Quadros)
Date: Wed, 8 Jan 2014 16:41:09 +0530

On 01/08/2014 04:25 PM, Arnd Bergmann wrote:
> On Wednesday 08 January 2014 11:52:44 Sebastian Reichel wrote:
>>
>> On Wed, Jan 08, 2014 at 03:39:36PM +0530, Roger Quadros wrote:
>>>> What about the other clocks acquired in drivers/mfd/omap-usb-host.c? Shouldn't
>>>> all of those be provided by via the DT phandle?
>>>
>>> All those clocks are identically named across the OMAP SoCs and are unique for each
>>> SoC, so providing DT phandle for all of them is not required.
>>>
>>> The init_60m_fclk was renamed to l3init_60m_fclk in OMAP5, and hence the need for
>>> this binding.
>>
>> I understand the intention of this patch. I was just wondering if
>> all the clocks should be referenced from DT even if that is not
>> strictly needed at the moment. This would make clocks similar to
>> other resources like regulators, gpios, irqs, ...
>>
>> Having the clocks referenced from DT looks cleaner to me. It means I
>> can check the DT file for any resources used by a driver. It also
>> creates some kind of consistency in the kernel.
> 
> I think that would be best, yes. AFAIK most other platforms do this
> already, OMAP is a bit behind because it started using clocks when the
> infrastructure for doing this right was still incomplete.
> 

OK. I'll update the binding information to reflect all the clocks.

But what about clk_get() vs of_clk_get_by_name() ?

cheers,
-roger